Name:           lock-keys-applet
Version:        1.0
Release:        17%{?dist}

Summary:        A GNOME panel applet that shows the status of the lock keys
Group:          Applications/System
License:        GPLv2+
URL:            http://mfcn.ilo.de/led_applet/
Source0:        http://www.wh-hms.uni-ulm.de/~mfcn/shared/lock-keys/lock-keys-applet-1.0.tar.gz
patch0:		new-tooltips-api.patch	
patch1:		fix-deprecated.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgnomeui-devel gnome-panel-devel scrollkeeper gettext
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
lock-keys-applet is a GNOME applet that shows the status of the Caps, Num and
Scroll Lock keys of your keyboard. This isn't especially useful for normal
keyboards as they have LEDs for that. But some keyboards (especially wireless
keyboards) don't. One more feature of the applet is that it saves the status of
the lock keys and restores them when starting GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/%{name}

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 4 2008 Jorge Torres <jtorresh@gmail.com> - 1.0-15
- Remove use of deprecated GTK+ functions
- Rebuild to fix FTBFS (bug #464994)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-14
- Autorebuild for GCC 4.3

* Fri Aug 3 2007 Jorge Torres <jtorresh@gmail.com> 1.0-13
- Port to new GTK+ tooltips API

* Fri Aug 3 2007 Jorge Torres <jtorresh@gmail.com> 1.0-12
- Update license tag
			  
* Sun Sep 17 2006 Jorge Torres <jtorresh@gmail.com> 1.0-11
- Rebuild for Fedora Extras 6
- Minor cleanup

* Tue Mar 14 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-10
- Rebuild for Fedora Extras 5

* Fri Apr 22 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-9
- Minor cleanup

* Fri Apr  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-8
- Use libtoolize et al to fix build on x86_64

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-6
- Added scrollkeeper to BuildRequires

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-5
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-4
- Macros in %%changelog are dangerous

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-3
- Used %%find_lang instead of putting the .mo files in %%files.
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0-1
- Bump release to 1
- Added Requires(post) and Requires(postun)

* Mon Feb  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:1.0-0.iva.0
- Initial RPM release.
